## ros-kinetic-tuw-marker-pose-estimation 0.0.7

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(tuw_marker_pose_estimation)

set(CMAKE_CXX_FLAGS "-std=c++0x ${CMAKE_CXX_FLAGS}")

## Find catkin macros and libraries
find_package(catkin REQUIRED COMPONENTS
    roscpp
    rospy
    std_msgs
    image_geometry
    tf
    cv_bridge
    marker_msgs
    dynamic_reconfigure
)

## System dependencies
find_package( OpenCV REQUIRED )

## Generate dynamic reconfigure parameters
generate_dynamic_reconfigure_options(
        cfg/MarkerPoseEstimation.cfg
        cfg/MarkerMapPoseEstimation.cfg
)

## The catkin_package macro generates cmake config files for your package
catkin_package(
        DEPENDS OpenCV
)
###########
## Build ##
###########

include_directories(
    include/
    ${catkin_INCLUDE_DIRS}
)

add_executable(pose_estimation_node
    src/pose_estimation_node.cpp
    src/pose_estimation_base.cpp
    src/pose_estimation_parameters.cpp
    src/marker_fiducials.cpp
    src/marker_pose.cpp
)

add_executable(pose_estimation_markermap_node
    src/markermap/pose_estimation_markermap_node.cpp
    src/markermap/pose_estimation_markermap_base.cpp
    src/markermap/pose_estimation_markermap_parameters.cpp
    src/markermap/marker_map_estimator.cpp
    src/markermap/marker_map_config.cpp
    src/marker_fiducials.cpp
    src/marker_pose.cpp
)

add_executable(pose_estimation_combomarker_node
    src/combomarker/pose_estimation_combomarker_node.cpp
    src/marker_fiducials.cpp
    src/marker_pose.cpp
    src/pose_estimation_base.cpp
    src/pose_estimation_parameters.cpp

    src/combomarker/combo_marker_estimator.cpp
)

## Add cmake target dependencies of the executable
add_dependencies(pose_estimation_node ${PROJECT_NAME}_gencfg)
add_dependencies(pose_estimation_markermap_node ${PROJECT_NAME}_gencfg)
add_dependencies(pose_estimation_combomarker_node ${PROJECT_NAME}_gencfg)

## Specify libraries to link a library or executable target against
target_link_libraries(pose_estimation_node
    ${catkin_LIBRARIES}
    ${OpenCV_LIBRARIES}
)
target_link_libraries(pose_estimation_markermap_node
    ${catkin_LIBRARIES}
    ${OpenCV_LIBRARIES}
)
target_link_libraries(pose_estimation_combomarker_node
    ${catkin_LIBRARIES}
    ${OpenCV_LIBRARIES}
)

=== debian/changelog ===
ros-kinetic-tuw-marker-pose-estimation (0.0.7-0xenial) xenial; urgency=high

  * maintainer changed to Markus Bader
  * Contributors: Markus Bader

 -- Markus Bader <markus.bader@tuwien.ac.at>  Sat, 12 Nov 2016 23:00:00 -0000

ros-kinetic-tuw-marker-pose-estimation (0.0.6-0xenial) xenial; urgency=high



 -- Lukas Pfeifhofer <lukas.pfeifhofer@devlabs.pro>  Fri, 11 Nov 2016 23:00:00 -0000

ros-kinetic-tuw-marker-pose-estimation (0.0.5-0xenial) xenial; urgency=high

  * DynamicReconfigure files naming fixed
  * Contributors: Markus Bader

 -- Lukas Pfeifhofer <lukas.pfeifhofer@devlabs.pro>  Thu, 10 Nov 2016 23:00:00 -0000

ros-kinetic-tuw-marker-pose-estimation (0.0.4-0xenial) xenial; urgency=high



 -- Lukas Pfeifhofer <lukas.pfeifhofer@devlabs.pro>  Thu, 10 Nov 2016 23:00:00 -0000

ros-kinetic-tuw-marker-pose-estimation (0.0.3-0xenial) xenial; urgency=high



 -- Lukas Pfeifhofer <lukas.pfeifhofer@devlabs.pro>  Thu, 10 Nov 2016 23:00:00 -0000

ros-kinetic-tuw-marker-pose-estimation (0.0.2-0xenial) xenial; urgency=high

  * Initial commit
  * Contributors: Lukas Pfeifhofer

 -- Lukas Pfeifhofer <lukas.pfeifhofer@devlabs.pro>  Sun, 06 Nov 2016 23:00:00 -0000

=== debian/control ===
Source: ros-kinetic-tuw-marker-pose-estimation
Section: misc
Priority: extra
Maintainer: Markus Bader <markus.bader@tuwien.ac.at>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-cv-bridge, ros-kinetic-dynamic-reconfigure, ros-kinetic-image-geometry, ros-kinetic-marker-msgs, ros-kinetic-roscpp, ros-kinetic-rospy, ros-kinetic-std-msgs, ros-kinetic-tf
Homepage: 
Standards-Version: 3.9.2

Package: ros-kinetic-tuw-marker-pose-estimation
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-cv-bridge, ros-kinetic-dynamic-reconfigure, ros-kinetic-image-geometry, ros-kinetic-marker-msgs, ros-kinetic-roscpp, ros-kinetic-rospy, ros-kinetic-std-msgs, ros-kinetic-tf
Description: This node does pose estimation for detected fiducials (marker_msgs/FiducialDetection.msg)

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-tuw-marker-pose-estimation//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
